[ubuntu-mono] [Bug 948848] Re: cil packages fail to uninstall on lucid->precise upgrade due to prerm script use of perl-modules via /usr/share/cli-common/gac-package-remove -> /usr/share/cli-common/runtimes.d/mono (Can't locate File/Basename.pm in @INC)

Launchpad Bug Tracker 948848 at bugs.launchpad.net
Fri Mar 23 06:34:25 UTC 2012


This bug was fixed in the package mono - 2.10.8.1-1ubuntu1

---------------
mono (2.10.8.1-1ubuntu1) precise; urgency=low

  * debian/mono.runtime-script:  Don't use File::Basename, because it's not
    actually being *used*, and the 'use' statement causes failures if this
    script is called while perl-base and perl-modules are not in a consistent
    state.  LP: #948848.
 -- Steve Langasek <steve.langasek at ubuntu.com>   Thu, 22 Mar 2012 23:00:53 -0700

** Changed in: mono (Ubuntu Precise)
       Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
CLI/Mono Uploaders, which is subscribed to mono in Ubuntu.
https://bugs.launchpad.net/bugs/948848

Title:
  cil packages fail to uninstall  on lucid->precise upgrade due to prerm
  script use of perl-modules via /usr/share/cli-common/gac-package-
  remove  -> /usr/share/cli-common/runtimes.d/mono (Can't locate
  File/Basename.pm in @INC)

Status in “mono” package in Ubuntu:
  Fix Released
Status in “perl” package in Ubuntu:
  Triaged
Status in “mono” source package in Precise:
  Fix Released
Status in “perl” source package in Precise:
  Triaged

Bug description:
  Lucid to Precise upgrade main-all amd64
  https://jenkins.qa.ubuntu.com/job/precise-upgrade-lucid-main/ARCH=amd64,LTS=lts,PROFILE=main-all,label=upgrade-test/45/

  System fails to upgrade with error:
  Removing libgnomedesktop2.20-cil ...
  Can't locate File/Basename.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/cli-common/runtimes.d/mono line 12.
  BEGIN failed--compilation aborted at /usr/share/cli-common/runtimes.d/mono line 12.
  Removing libgnomedesktop2.20-cil from 
  Can't locate File/Basename.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/cli-common/runtimes.d/mono line 12.
  BEGIN failed--compilation aborted at /usr/share/cli-common/runtimes.d/mono line 12.
  dpkg: error processing libgnomedesktop2.20-cil (--remove):
   subprocess installed pre-removal script returned error exit status 2
  Errors were encountered while processing:
   libgnomedesktop2.20-cil

  Full log: https://jenkins.qa.ubuntu.com/job/precise-upgrade-lucid-
  main/ARCH=amd64,LTS=lts,PROFILE=main-all,label=upgrade-
  test/45/artifact/lts-main-all-amd64/apt-term.log

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: libgnomedesktop2.20-cil (not installed)
  ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
  Uname: Linux 3.2.0-18-generic x86_64
  ApportVersion: 1.94-0ubuntu2
  Architecture: amd64
  Date: Wed Mar  7 10:34:20 2012
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  ProcEnviron:
   TERM=xterm
   PATH=(custom, user)
   LANG=en_US.utf8
   SHELL=/bin/bash
  SourcePackage: gnome-desktop-sharp2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mono/+bug/948848/+subscriptions



More information about the Ubuntu-mono mailing list